<!DOCTYPE html>
<html>
	<head>
		 <meta charset="utf-8"/>
		 
<!-- 	<script type="text/javascript" src="aotrautils.build.js"></script> -->

			<script type="text/javascript" src="aotrautils.commons.js"></script>

	</head>
	<body>
		
		<script type="text/javascript">
		
			/*
			let s = {
				gru : "mouarf",
				params1 : [ [ "a", "b" ], [ "c", "d" ] ],
				params2 : [ "a1", "a2", "a3" ],
				o1 : {
					attr1 : "chaine1",
					attr2 : 44
				}
			};

			let cf = getAsFlatStructure(s);
			console.log(cf);

			let ct = getAsTreeStructure(cf);
			console.log(ct);
			*/
			
			
			const str1="abba_ab";
			const str2="1abba";
			console.log(str1+"|"+str2);
			const results=findCommonChunks(str1,str2);
			for(let i=0;i<results.length;i++)
				console.log(JSON.stringify(results[i]));
			
			
			
		</script>
		
		
	</body>
</html>